<%= form_with(model: book,class:"form-group", local: true) do |form| %>
  <% if book.errors.any? %>
    <div id="error_explanation">
      <h2><%= pluralize(book.errors.count, "error") %> prohibited this book from being saved:</h2>
      <ul>
        <% book.errors.full_messages.each do |message| %>
          <li><%= message %></li>
        <% end %>
      </ul>
    </div>
  <% end %>
  <div class="field">
    <%= form.label :title, class:"label" %>
    <%= form.text_field :title,required: true, class: "form-control" %>
  </div>
  <div class="field">
    <%= form.label "Set price",class:"label" %>
    <%= form.text_field :author_price,class: "form-control" %>
  </div>
  <div class="field">
    <% form.label :selling_price,class:"label" %>
    <% form.text_field :selling_price,class: "form-control" %>
  </div>
  <div class="field">
    <%= form.label :book_index,class:"label" %>
    <%= form.text_area :book_index,class: "form-control"  %>
  </div>
  <div class="field">
    <%= form.label "Cover image",class:"label" %>
    <%= form.file_field :coverimage,class: "form-control"  %>
  </div>
  <div class="field">
    <%= form.label :about,class:"label" %>
    <%= form.text_area :about, rows:10, cols:60,class: "form-control"%>
  </div>
  <div class="field">
    <br>
    <%= form.label :book_category,class:"label" %>
    <% form.text_field :book_category,class: "form-control" %>
    <%= form.select :book_category, ['Biography', 'Technology','Science',"Fiction"], class: "form-control"%>
  </div>
  <div class="field">
    <%= form.label "upload book",class:"label" %>
    <%= form.file_field :pdf_file,class: "form-control" %>
  </div>
  <div class="field">
    <%= form.label :youtube_link,class:"label" %>
    <%= form.url_field :youtube_link,class: "form-control" %>
  </div>
  <div class="field">
    <%= form.label :retired,class:"label" %>
    <%= form.check_box :retired,class: "form-check" %>
  </div>
  <div class="field">
    <%= form.label :published,class:"label" %>
    <%= form.check_box :published,class: "form-check" %>
  </div>
  <div class="field">
    <%= form.hidden_field :user_id,class: "form-control", value: current_user.id%>
  </div>
  <br>
  <div class="actions">
    <%= form.submit "Create Book",class: "btn btn-outline-info btn-block" %>
  </div>
<% end %>
